Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IReactorPluggableResolver``

interface documentation

`class IReactorPluggableResolver(Interface): (source)`

Known implementations: `twisted.internet.base.PluggableResolverMixin`

View In Hierarchy

An `IReactorPluggableResolver` is a reactor which can be customized with an `IResolverSimple`. This is a fairly limited interface, that supports only IPv4; you should use `IReactorPluggableNameResolver` instead.

See Also
`IReactorPluggableNameResolver`

Method | `installResolver` | Set the internal resolver to use to for name lookups.

def installResolver(resolver: `IResolverSimple`) -> `IResolverSimple`: (source)

Set the internal resolver to use to for name lookups.

Parameters
resolver:`IResolverSimple` | The new resolver to use.

Returns
`IResolverSimple` | The previously installed resolver.